import os
os.environ['POLLINATION_API_URL'] = 'https://api.staging.pollination.cloud'

from pollination_streamlit.selectors import get_api_client
from pollination_streamlit_io import recipe_inputs_form

api_client = get_api_client()
recipe = {'owner': 'ladybug-tools', 'name': 'cumulative-radiation-*', 'tag': '*'}
project_owner = 'dnaorg'
project_name = 'form'

controlled_values = {
  'wea': {
    'value': {
        'pollination_local_path': 'C:/ladybug/ITA_Campobasso.162520_IGDG/ITA_Campobasso.162520_IGDG.wea'
    }
  }
}

study = recipe_inputs_form(key='st-study', 
                           api_client=api_client, 
                           project_name=project_name,
                           project_owner=project_owner,
                           recipe_filter=recipe,
                           user_inputs=controlled_values,
                           study_name='my study',
                           is_local=True,
                           show_form=False)

study.progress_report(refresh_interval=400)

